public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergey Popov" <pinkbyte@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/xmlrpc-c/
Date: Sat,  5 Dec 2020 15:06:59 +0000 (UTC)	[thread overview]
Message-ID: <1607180817.98f08fcba787f5067b989e3fd373cb35541a3822.pinkbyte@gentoo> (raw)

commit:     98f08fcba787f5067b989e3fd373cb35541a3822
Author:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  5 15:06:41 2020 +0000
Commit:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
CommitDate: Sat Dec  5 15:06:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98f08fcb

dev-libs/xmlrpc-c: version bump

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Sergey Popov <pinkbyte <AT> gentoo.org>

 dev-libs/xmlrpc-c/Manifest                |  1 +
 dev-libs/xmlrpc-c/xmlrpc-c-1.51.06.ebuild | 68 +++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/dev-libs/xmlrpc-c/Manifest b/dev-libs/xmlrpc-c/Manifest
index 07df7a57ecc..25d074452cc 100644
--- a/dev-libs/xmlrpc-c/Manifest
+++ b/dev-libs/xmlrpc-c/Manifest
@@ -1 +1,2 @@
 DIST xmlrpc-c-1.39.11.tgz 815463 BLAKE2B 7d169d51835e64e5ac822c48b1a6d7622293c1ce1e7379985ebf6c10f3ab331c55eeff9f655cf914c4cf7e3c107fbdbd741d664489f4ad7aadb5e576ceb383c2 SHA512 13e7ddf5264436671437c0bcd698380baca35c4469f592edf79cb4cafda254fe8207ecb992ee728ed20ec70457a20bd0cf8e180ce5cf0561a38a21f1e588f584
+DIST xmlrpc-c-1.51.06.tgz 933161 BLAKE2B 8023444e14e7e41f5433cebeb0fcb7a7323dd734f658155e117d3547b4d61ef81c189395662bf68074dcf1ec5c47ee550cd18773ce8bf0bd53cb0a1764cce945 SHA512 2927fc8c01d42b6f838d8b0c839f09a7dd0d1ddc5a3d7b36c9d479f1c7bf7fdf14923f640883f98ba66067eda0f5379737bf3a5bc9d4b9abe1a7eff7d7def066

diff --git a/dev-libs/xmlrpc-c/xmlrpc-c-1.51.06.ebuild b/dev-libs/xmlrpc-c/xmlrpc-c-1.51.06.ebuild
new file mode 100644
index 00000000000..18f980a2fff
--- /dev/null
+++ b/dev-libs/xmlrpc-c/xmlrpc-c-1.51.06.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Upstream maintains 3 release channels: http://xmlrpc-c.sourceforge.net/release.html
+# 1. Only the "Super Stable" series is released as a tarball
+# 2. SVN tagging of releases seems spotty: http://svn.code.sf.net/p/xmlrpc-c/code/release_number/
+# Because of this, we are following the "Super Stable" release channel
+
+DESCRIPTION="A lightweigt RPC library based on XML and HTTP"
+HOMEPAGE="http://xmlrpc-c.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+
+IUSE="abyss +cgi +curl +cxx +libxml2 threads test"
+
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="test? ( abyss curl cxx )"
+
+RDEPEND="
+	sys-libs/ncurses:0=
+	sys-libs/readline:0=
+	curl? ( net-misc/curl )
+	libxml2? ( dev-libs/libxml2 )"
+DEPEND="${RDEPEND}"
+
+pkg_setup() {
+	use curl || ewarn "Curl support disabled: No client library will be built"
+}
+
+src_prepare() {
+	sed -i \
+		-e "/CFLAGS_COMMON/s|-g -O3$||" \
+		-e "/CXXFLAGS_COMMON/s|-g$||" \
+		common.mk || die
+
+	default
+}
+
+src_configure() {
+	econf \
+		--disable-libwww-client \
+		--disable-wininet-client \
+		--without-libwww-ssl \
+		$(use_enable abyss abyss-server) \
+		$(use_enable cgi cgi-server) \
+		$(use_enable curl curl-client) \
+		$(use_enable cxx cplusplus) \
+		$(use_enable libxml2 libxml2-backend) \
+		$(use_enable threads abyss-threads)
+}
+
+src_compile() {
+	default
+	# Tools building is broken in this release
+	#use tools && emake -rC "${S}"/tools
+}
+
+src_install() {
+	default
+	# Tools building is broken in this release
+	#use tools && emake DESTDIR="${D}" -rC "${S}"/tools install
+}


             reply	other threads:[~2020-12-05 15:07 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-05 15:06 Sergey Popov [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-29 14:09 [gentoo-commits] repo/gentoo:master commit in: dev-libs/xmlrpc-c/ Arthur Zamarin
2024-01-18 19:04 Arthur Zamarin
2023-01-20 12:58 Sergey Popov
2022-11-18 18:07 Arthur Zamarin
2022-11-18 18:05 Arthur Zamarin
2022-11-18 18:05 Arthur Zamarin
2022-11-18 18:05 Arthur Zamarin
2022-10-29  8:54 Jakov Smolić
2022-10-29  8:54 Jakov Smolić
2022-10-28 18:50 Sam James
2022-10-28 18:50 Sam James
2022-09-06  6:46 Sam James
2022-04-25  6:29 Jakov Smolić
2022-04-11  7:46 Sergey Popov
2022-03-31  7:59 Sergey Popov
2022-03-31  7:52 Sergey Popov
2021-02-24 20:25 Sam James
2021-02-19 20:02 Sam James
2021-02-06  0:04 Sam James
2021-02-06  0:02 Sam James
2021-01-13 19:28 Sergei Trofimovich
2021-01-11 19:20 Sam James
2021-01-11 12:07 Sergey Popov
2021-01-06 19:34 Fabian Groffen
2020-12-27 14:21 Fabian Groffen
2020-12-08 10:49 Sergey Popov
2020-07-10 18:50 Sam James
2020-02-16  8:52 Sergey Popov
2017-05-23  7:28 Sergey Popov
2017-05-06 13:14 Markus Meier
2017-04-30  9:37 Agostino Sarubbo
2017-04-30  8:42 Jeroen Roovers
2017-04-27 11:23 Agostino Sarubbo
2017-04-27 10:14 Agostino Sarubbo
2017-01-29 16:19 Fabian Groffen
2016-11-22 17:18 Patrice Clement
2015-09-02 16:30 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1607180817.98f08fcba787f5067b989e3fd373cb35541a3822.pinkbyte@gentoo \
    --to=pinkbyte@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox